
html, body { margin: 0; padding: 0; height: 100%; font-family: Arial; }
#networkChart { width: calc(100% - 200px); height: 100vh; float: right; }
#legend {
  width: 200px;
  float: left;
  /*background: #f4f4f4;*/
  border-right: 1px solid #ddd;
  height: 100vh;
  box-sizing: border-box;
  background-image: url('../assets/ngen_bg.jpg');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  position: relative;

  .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 40, 53, 0.8);
    z-index: 0;
  }
  .content {
    padding: 15px;
    height: 100%;
    position: relative;
    z-index: 1;
    overflow-y: auto;
  }
}
.legend-item {
  font-size: 13px;
  border-radius: 7px;
  margin-bottom: 1px;
  color: #fff;
  padding: 2px;

  &:not(.nonclickable) {
    cursor: pointer;
    &:hover {
      background-color: rgba(255, 255, 255, 0.2);
    }
  }
}
.legend-swatch {
  display: inline-block;
  width: 15px;
  height: 15px;
  margin-right: 5px;
  margin-bottom: 2px;
  vertical-align: middle;
  border-radius: 10px;
}
input, select {
  box-sizing: border-box;
 -webkit-box-sizing:border-box;
 -moz-box-sizing: border-box;
}

.btn {
  display: flex;
  align-items: center;
  justify-content: space-between;
  cursor: pointer;
  background-color: #002835;
  color: #FFF9EB;
  font-size: 12px;
  padding: 8px;
  border: 1px solid #FFF9EB;
  border-radius: 5px;
  transition: all 0.3s ease;
  &:hover {
    background-color: #F04D00;
    color: #FFF;
    .icon {
      filter: brightness(0) saturate(100%) invert(100%) sepia(100%) saturate(100%) hue-rotate(180deg) brightness(100%) contrast(100%);
    }
  }
  .icon {
    color: #FFF9EB;
    margin-left: 8px;
  }
}

.popup-group-title, .popup-strong {
  font-weight:bold;
}
.popup-group-title {
  font-size: 16px;
}

.icon-search {
  background-image: url('../assets/Icons/search.svg');
  width: 16px;
  height: 16px;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  filter: brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(0%) hue-rotate(0deg) brightness(100%) contrast(100%);
}
.icon-link {
  background-image: url('../assets/Icons/link-white.svg');
  width: 16px;
  height: 16px;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  filter: brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(0%) hue-rotate(0deg) brightness(100%) contrast(100%);
}
.icon-times {
  background-image: url('../assets/Icons/cross.svg');
  width: 16px;
  height: 16px;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  filter: brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(0%) hue-rotate(0deg) brightness(100%) contrast(100%);
}

.slider-filter {
  color: #fff;
  font-size: 12px;

  span {
    font-weight:bold;
  }
  /*
  position:absolute;
  bottom: 20px;
  right: 20px;*/
  .multi-range {
    position: relative;
    height: 50px;
    width: 100%;

    input[type=range] {
      position: absolute;
      box-sizing: border-box;
      appearance: none;
      width: 100%;
      margin: 0;
      padding: 0 2px;
      /* Add some L/R padding to ensure box shadow of handle is shown */
      overflow: hidden;
      border: 0;
      border-radius: 1px;
      outline: none;
      background: linear-gradient(#F04D00, #F04D00) no-repeat center;
      /* Use a linear gradient to generate only the 2px height background */
      background-size: 100% 2px;
      pointer-events: none;

      &:active,
      &:focus {
        outline: none;
      }

      &::-webkit-slider-thumb {
        height: 28px;
        width: 28px;
        border-radius: 28px;
        background-color: #F04D00;
        position: relative;
        margin: 5px 0;
        /* Add some margin to ensure box shadow is shown */
        cursor: pointer;
        appearance: none;
        pointer-events: all;
        box-shadow: 0 1px 4px 0.5px rgba(0, 0, 0, 0.25);
        &:hover {
          background-color: #FFF9EB;
        }
      }

      &:nth-child(1) {
        &::-webkit-slider-thumb::before {
          background-color: #F04D00;
        }
      }

      &:nth-child(2) {
        background: none;
        z-index:2;			

        &::-webkit-slider-thumb::before {
          background-color: #F04D00; 
        }
      }
    }
  }
}

.logo-wrapper {
  width: 100%;
  margin-top: 15px;
  margin-bottom: 15px;
  .logo {
    width: 100%;
    height: auto;
  }
}
.full-width {
  width: 100%;
}

.legend-title {
  font-weight: bold;
  font-size: 14px;
  margin-top: 8px;
  margin-bottom: 3px;
  color: #fff;
}

#loadingOverlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 1);
  transition: opacity 0.5s ease-in-out;
  z-index: 1000;
  .loading-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
  }
  .loading-spinner {
    width: 50px;
    height: 50px;
    border: 5px solid #fff;
    border-top: 5px solid #000;
    border-radius: 50%;
    animation: spin 1s linear infinite;
  }
  .loading-text {
    font-size: 16px;
    color: #000;
    margin-top: 10px;
  }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

.criteria-block {
  color: #fff;
  margin-top: 10px;
  margin-bottom: 10px;
  .criteria-label {
    font-weight: bold;
    font-size: 14px;
    margin-bottom: 2px;
    color: #E44901;
  }
  .criteria-item {
    align-items: center;
    justify-content: space-between;
    padding: 2px;
    width: 100%;
    display:inline-flex;
    font-size: 13px;
    border-radius: 7px;
    margin-bottom: 1px;
    cursor: pointer;
    &:hover {
      background-color: rgba(255, 255, 255, 0.2);
    }
  }
  .list {
    .criteria-item {
      font-size: 12px;
  }
}

#btn-clear-filters {
  margin-top: 10px;
  display: none;
}